webapp/fitur_aji/urls.py
from django.contrib import admin
from django.urls import path, include

urlpatterns = [
    path('admin/', admin.site.urls),
    path('', include('ru_tiket.urls'), name='ru_tiket'),
]

webapp/ru_tiket/urls.py
from django.urls import path
from . import views

app_name = 'ru_tiket'

urlpatterns = [
    path('tiket/', views.ru_tiket, name='ru_tiket'),
    path('tiket/details/', views.ru_tiket_detail, name='ru_tiket_detail'),
    path('tiket/update/', views.ru_tiket_update_form, name='ru_tiket_update_form'),
    path('kartu-vaksin/', views.cr_kartu_vaksin, name='cr_kartu_vaksin'),
    path('kartu-vaksin/details/', views.cr_kartu_vaksin_detail, name='cr_kartu_vaksin_detail'),
    # path('ru_tiket/', views.ru_tiket, name='ru_tiket'),
]

webapp/ru_tiket/models.py
from django.db import models

# Create your models here.

webapp/ru_tiket/views.py
from django.shortcuts import render

def ru_tiket(request):
    return render(request, 'tiket_ru.html')

def ru_tiket_detail(request):
    return render(request, 'tiket_ru_detail.html')

def ru_tiket_update_form(request):
    return render(request, 'tiket_ru_update_form.html')

def cr_kartu_vaksin(request):
    return render(request, 'cr_kartu_vaksin.html')

def cr_kartu_vaksin_detail(request):
    return render(request, 'cr_kartu_vaksin_detail.html')

webapp/ru_tiket/templates/cr_kartu_vaksin.html
<!DOCTYPE html>
{% load static %}
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <!-- CSS only -->
    <link rel="stylesheet" href="{% static 'css/style.css' %}">
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet"
        integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3" crossorigin="anonymous">
    <title>Tiket</title>
</head>

<body>
    <div class="container">
        <h1>Kartu Vaksin</h1>
        <br>
        <table class="table">
            <thead>
                <tr>
                    <th scope="col">No.</th>
                    <th scope="col">Nomor Sertifikat</th>
                    <th scope="col">Tahapan</th>
                    <th scope="col">Action</th>
                </tr>
            </thead>
            <tbody>
                <tr id="row1">
                    <th scope="row">1</th>
                    <td>366181838334131589635712751270</td>
                    <td>tahap 1</td>
                    <td><a class="details-button" href="{% url 'ru_tiket:cr_kartu_vaksin_detail' %}">[Details]</a></td>
                </tr>
                <tr id="row2">
                    <th scope="row">2</th>
                    <td>655116804468023756812006207347</td>
                    <td>tahap 2</td>
                    <td><a class="details-button" href="{% url 'ru_tiket:cr_kartu_vaksin_detail' %}">[Details]</a></td>
                </tr>
                <tr id="row3">
                    <th scope="row">3</th>
                    <td>185927690743107156337614636907</td>
                    <td>tahap 1</td>
                    <td><a class="details-button" href="{% url 'ru_tiket:cr_kartu_vaksin_detail' %}">[Details]</a></td>
                </tr>
                <tr id="row4">
                    <th scope="row">4</th>
                    <td>022420237202580259363837317227</td>
                    <td>tahap 1</td>
                    <td><a class="details-button" href="{% url 'ru_tiket:cr_kartu_vaksin_detail' %}">[Details]</a></td>
                </tr>
                <tr id="row5">
                    <th scope="row">5</th>
                    <td>372149765415986805324106438047</td>
                    <td>tahap 2</td>
                    <td><a class="details-button" href="{% url 'ru_tiket:cr_kartu_vaksin_detail' %}">[Details]</a></td>
                </tr>
                <tr id="row6">
                    <th scope="row">6</th>
                    <td>193211176199984199159112066147</td>
                    <td>tahap 2</td>
                    <td><a class="details-button" href="{% url 'ru_tiket:cr_kartu_vaksin_detail' %}">[Details]</a></td>
                </tr>
                <tr id="row7">
                    <th scope="row">7</th>
                    <td>723325406857181286120905416983</td>
                    <td>tahap 2</td>
                    <td><a class="details-button" href="{% url 'ru_tiket:cr_kartu_vaksin_detail' %}">[Details]</a></td>
                </tr>
                <tr id="row8">
                    <th scope="row">8</th>
                    <td>403770146788874196106596403449</td>
                    <td>tahap 1</td>
                    <td><a class="details-button" href="{% url 'ru_tiket:cr_kartu_vaksin_detail' %}">[Details]</a></td>
                </tr>
                <tr id="row9">
                    <th scope="row">9</th>
                    <td>168584181455886580310638908670</td>
                    <td>tahap 2</td>
                    <td><a class="details-button" href="{% url 'ru_tiket:cr_kartu_vaksin_detail' %}">[Details]</a></td>
                </tr>
                <tr id="row10">
                    <th scope="row">10</th>
                    <td>622340159404480436004268821390</td>
                    <td>tahap 1</td>
                    <td><a class="details-button" href="{% url 'ru_tiket:cr_kartu_vaksin_detail' %}">[Details]</a></td>
                </tr>
            </tbody>
        </table>
    </div>

</body>

<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.bundle.min.js"
    integrity="sha384-ka7Sk0Gln4gmtz2MlQnikT1wXgYsOg+OMhuP+IlRH9sENBO0LRn5q+8nbTov4+1p"
    crossorigin="anonymous"></script>
<script src="{% static 'js/kartu_vaksin.js' %}"></script>

</html>

webapp/ru_tiket/templates/cr_kartu_vaksin_detail.html
<!DOCTYPE html>
{% load static %}
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <!-- CSS only -->
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet"
        integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3" crossorigin="anonymous">
    <link rel="stylesheet" href="{% static 'css/style.css' %}">
    <title>Tiket</title>
</head>

<body>
    <div class="container">
        <div class="card">
            <div class="card-header">
                KARTU VAKSIN
            </div>
            <div class="card-body">
                <h2 class="card-title">-</h2>
                <br>
                <p class="card-text">NO. SERTIFIKAT</p>
                <h5 id="certif_no">XXXXXXXXXXXXXXXXXXX</h5>
                <br>
                <p class="card-text">STATUS</p>
                <h5 id="tahapan">TAHAP 2</h5>
                <br>
                <div class="bottom-buttons">
                    <a href="{% url 'ru_tiket:cr_kartu_vaksin' %}" class="btn btn-outline-primary">Cancel</a>
                    <a href="#" class="btn btn-primary">Unduh</a>
                </div>
            </div>
        </div>
    </div>
</body>
<!-- JavaScript Bundle with Popper -->
<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.bundle.min.js"
    integrity="sha384-ka7Sk0Gln4gmtz2MlQnikT1wXgYsOg+OMhuP+IlRH9sENBO0LRn5q+8nbTov4+1p"
    crossorigin="anonymous"></script>

<script>
    var certif_no = localStorage.getItem("certif_no");
    var tahapan = localStorage.getItem("tahapan");

    document.getElementById("certif_no").innerHTML = certif_no;
    document.getElementById("tahapan").innerHTML = tahapan;

    // localStorage.setItem("name", "");
    // localStorage.setItem("no_tiket", "");
    // localStorage.setItem("status", "");
</script>

</html>

webapp/ru_tiket/templates/tiket_ru.html
<!DOCTYPE html>
{% load static %}
<html lang="en">

<head>
  <meta charset="UTF-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <link rel="stylesheet" href="{% static 'css/style.css' %}">
  <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet"
    integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3" crossorigin="anonymous">
  <title>Tiket</title>
</head>

<body>
  <div class="container">
    <h1>Tiket</h1>
    <br>
    <table class="table" id="tiket_table">
      <thead>
        <tr>
          <th scope="col">No.</th>
          <th scope="col">Nomor Tiket</th>
          <th scope="col">Nama Penerima Vaksin</th>
          <th scope="col">Waktu Pelaksanaan</th>
          <th scope="col">Status Tiket</th>
          <th scope="col">Action</th>
        </tr>
      </thead>
      <tbody id="tiket_tbody">
        <tr id="row1">
          <th scope="row">1</th>
          <td>8806791877</td>
          <td>Brina Jorioz</td>
          <td>2021-01-10 07:26:42</td>
          <td>terdaftar</td>
          <td class="action-button" type="reset"><a class="details-button"
              href="{% url 'ru_tiket:ru_tiket_detail' %}">[Details]</a></td>
        </tr>
        <tr id="row2">
          <th scope="row">2</th>
          <td>6061437900</td>
          <td>Kitty Sleath</td>
          <td>2021-06-08 20:56:20</td>
          <td>terdaftar</td>
          <td class="action-button"><a class="details-button" href="{% url 'ru_tiket:ru_tiket_detail' %}">[Details]</a>
          </td>
        </tr>
        <tr id="row3">
          <th scope="row">3</th>
          <td>8602059280</td>
          <td>Elysee Baldrey</td>
          <td>2021-09-16 20:50:34</td>
          <td>terdaftar</td>
          <td class="action-button"><a class="details-button" href="{% url 'ru_tiket:ru_tiket_detail' %}">[Details]</a>
          </td>
        </tr>
        <tr id="row4">
          <th scope="row">4</th>
          <td>3534033329</td>
          <td>Elita Ditty</td>
          <td>2020-12-03 17:22:20</td>
          <td>siap vaksin</td>
          <td class="action-button"><a class="details-button" href="{% url 'ru_tiket:ru_tiket_detail' %}">[Details]</a>
          </td>
        </tr>
        <tr id="row5">
          <th scope="row">5</th>
          <td>8543814243</td>
          <td>Janetta Henrych</td>
          <td>2020-10-29 16:10:11</td>
          <td>siap vaksin</td>
          <td class="action-button"><a class="details-button" href="{% url 'ru_tiket:ru_tiket_detail' %}">[Details]</a>
          </td>
        </tr>
        <tr id="row6">
          <th scope="row">6</th>
          <td>2563787483</td>
          <td>Filide Behagg</td>
          <td>2021-04-08 22:46:39</td>
          <td>siap vaksin</td>
          <td class="action-button"><a class="details-button" href="{% url 'ru_tiket:ru_tiket_detail' %}">[Details]</a>
          </td>
        </tr>
        <tr id="row7">
          <th scope="row">7</th>
          <td>6862327429</td>
          <td>Elliott Moff</td>
          <td>2020-11-20 04:02:31</td>
          <td>tak lolos screening</td>
          <td class="action-button"><a class="details-button" href="{% url 'ru_tiket:ru_tiket_detail' %}">[Details]</a>
          </td>
        </tr>
        <tr id="row8">
          <th scope="row">8</th>
          <td>4796186820</td>
          <td>Brandie Crumbie</td>
          <td>2020-12-25 21:07:40</td>
          <td>tak lolos screening</td>
          <td class="action-button"><a class="details-button" href="{% url 'ru_tiket:ru_tiket_detail' %}">[Details]</a>
          </td>
        </tr>
        <tr id="row9">
          <th scope="row">9</th>
          <td>3481682220</td>
          <td>Starlene Pleager</td>
          <td>2021-06-13 15:21:40</td>
          <td>selesai vaksin</td>
          <td class="action-button">
            <a class="details-button" href="{% url 'ru_tiket:ru_tiket_detail' %}">[Details]</a>
            <a class="ubah-status" href="{% url 'ru_tiket:ru_tiket_update_form' %}">[Ubah Status]</a>
          </td>
        </tr>
        <tr id="row10">
          <th scope="row">10</th>
          <td>6058467594</td>
          <td>Lane Schirach</td>
          <td>2021-03-08 05:45:03</td>
          <td>selesai vaksin</td>
          <td class="action-button">
            <a class="details-button" href="{% url 'ru_tiket:ru_tiket_detail' %}">[Details]</a>
            <a class="ubah-status" href="{% url 'ru_tiket:ru_tiket_update_form' %}">[Ubah Status]</a>
          </td>
        </tr>
      </tbody>
    </table>
  </div>

</body>

<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.bundle.min.js"
  integrity="sha384-ka7Sk0Gln4gmtz2MlQnikT1wXgYsOg+OMhuP+IlRH9sENBO0LRn5q+8nbTov4+1p" crossorigin="anonymous"></script>
<script src="{% static 'js/script.js' %}"></script>

<!-- <script>
  $('.details-button').on('click', function(){
    var parent_id = $(this).parent().parent().attr('id');
    console.log(parent_id);
   })
</script> -->

</html>

webapp/ru_tiket/templates/tiket_ru_detail.html
<!DOCTYPE html>
{% load static %}
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <!-- CSS only -->
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet"
        integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3" crossorigin="anonymous">
    <link rel="stylesheet" href="{% static 'css/style.css' %}">
    <title>Tiket</title>
</head>

<body>
    <div class="container">
        <div class="card">
            <div class="card-header">
                TIKET
            </div>
            <div class="card-body">
                <h2 id="name" class="card-title">Mahdi Ali Ghazi</h2>
                <h5 id="email"></h5>
                <br>
                <p class="card-text">TANGGAL DAN WAKTU PELAKSANAAN</p>
                <h5 id="tanggal">Umum</h5>
                <br>
                <p class="card-text">KATEGORI</p>
                <h5 id="kategori">Umum</h5>
                <br>
                <p class="card-text">NO. TIKET</p>
                <h5 id="no_tiket">XXXXXXXXXXXXXXXXXXX</h5>
                <br>
                <p class="card-text">NAMA INSTANSI</p>
                <h5 id="instansi">Universitas Indonesia</h5>
                <br>
                <p class="card-text">LOKASI</p>
                <h5 id="instansi">Jl. Pasar Pagi I/24 Tanjung Priok, Tanjung Priok,</h5>
                <br>
                <p class="card-text">KUOTA</p>
                <h5 id="no_tiket">162</h5>
                <br>
                <p class="card-text">STATUS</p>
                <h5 id="status_vaksin">SUDAH VAKSIN</h5>
                <br>
                <div class="bottom-buttons">
                    <a href="{% url 'ru_tiket:ru_tiket' %}" class="btn btn-outline-primary">Back</a>
                </div>
            </div>
        </div>
    </div>
</body>
<!-- JavaScript Bundle with Popper -->
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.bundle.min.js"
    integrity="sha384-ka7Sk0Gln4gmtz2MlQnikT1wXgYsOg+OMhuP+IlRH9sENBO0LRn5q+8nbTov4+1p"
    crossorigin="anonymous"></script>
<script src="{% static 'js/tiket_detail.js' %}"></script>

<script>
    var name = localStorage.getItem("name");
    var no_tiket = localStorage.getItem("no_tiket");
    var status = localStorage.getItem("status");
    var tanggal = localStorage.getItem("tanggal");

    document.getElementById("name").innerHTML = name;
    document.getElementById("no_tiket").innerHTML = no_tiket;
    document.getElementById("status_vaksin").innerHTML = status;
    document.getElementById("tanggal").innerHTML = tanggal;

    // localStorage.setItem("name", "");
    // localStorage.setItem("no_tiket", "");
    // localStorage.setItem("status", "");
</script>


</html>

webapp/ru_tiket/templates/tiket_ru_update_form.html
<!DOCTYPE html>
{% load static %}
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <!-- CSS only -->
    <link rel="stylesheet" href="{% static 'css/style.css' %}">
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet"
        integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3" crossorigin="anonymous">
    <title>Update Tiket</title>
</head>

<body>
    <div class="container">
        <h1>Update Ticket</h1>
        <form action="" method="post">
            <div class="mb-3">
                <label for="namaInstansiInput" class="form-label">Nama Instansi</label>
                <input type="text" class="form-control" id="namaInstansiInput" disabled>
            </div>
            <div class="mb-3">
                <label for="tanggalWaktuInput" class="form-label">Tanggal dan Waktu Pelaksanaan</label>
                <input type="text" class="form-control" id="tanggalWaktuInput" disabled>
            </div>
            <div class="mb-3">
                <label for="kuotaInput" class="form-label">Kuota</label>
                <input type="text" class="form-control" id="kuotaInput" disabled>
            </div>
            <div class="mb-3">
                <label for="kategoriPenerimaInput" class="form-label">Kategori Penerima</label>
                <input type="text" class="form-control" id="kategoriPenerimaInput" disabled>
            </div>
            <div class="mb-3">
                <label for="lokasiVaksinInput" class="form-label">Lokasi Vaksin</label>
                <input type="text" class="form-control" id="lokasiVaksinInput" disabled>
            </div>
            <div class="mb-3">
                <label for="nomorTiketInput" class="form-label">Nomor Tiket</label>
                <input type="text" class="form-control" id="no_tiket" disabled>
            </div>
            <div class="mb-3">
                <label for="selectStatus" class="form-label">Status Tiket</label>
                <select id="selectStatus" class="form-select">
                    <option vakue="terdaftar">terdaftar</option>
                    <option value="siap vaksin">siap vaksin</option>
                    <option value="tak lolos screening">tak lolos screening</option>
                    <option value="selesai vaksin">selesai vaksin</option>
                </select>
            </div>
            <button type="submit" class="btn btn-primary">Simpan</button>
        </form>
    </div>
</body>
<!-- JavaScript Bundle with Popper -->
<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.bundle.min.js"
    integrity="sha384-ka7Sk0Gln4gmtz2MlQnikT1wXgYsOg+OMhuP+IlRH9sENBO0LRn5q+8nbTov4+1p"
    crossorigin="anonymous"></script>

<script>
    var no_tiket = localStorage.getItem("no_tiket");
    var status = localStorage.getItem("status");
    var tanggal = localStorage.getItem("tanggal");

    document.getElementById("no_tiket").defaultValue = no_tiket;
    document.getElementById("selectStatus").value = status;
    document.getElementById("tanggalWaktuInput").defaultValue = tanggal;

    // localStorage.setItem("name", "");
    // localStorage.setItem("no_tiket", "");
    // localStorage.setItem("status", "");
</script>

</html>